@import url('https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');

/* ------------------------root-------------------------------- */
:root {
  /* nse primary color */
  --btn-color: #585858;
  --main-bg-color: #fff;
  --purple-color: #382C79;
  --yellow-color: #EFB31D;
  --orangered-color: #E26C23;
  --red-color: #E22028;
  --white-color: #fff;
  --black-color: #000;
  --gray-color: #dadada;
  --light-gray-color: #eee;
  --light-bg-color: #f7f8fc;
--gradient: linear-gradient(to left top,#392e7cf0, #4f40acde, #392e7d , #392e7dba);
   --hover-gradient:linear-gradient(to left top,#392e7cf0, #4f40acde, #392e7d , #392e7dba);
  
  --nse-purple: #605696;
  --nse-orange: #E96F24;
  --nse-red: #E41F28;
  --nse-yellow: #605696;;

  --nse-light-cyan: #4cd9f5b0;
  --nse-light-purple: #4c3ea7a6;
  --nse-light-orange: #fd7e14c4;
  --nse-light-red: #f33c44a8;
  --nse-light-yellow: #f9c53da8;

  --nse-ex-light-cyan: #0dcaf066;
  --nse-ex-light-purple: #392e7d89;
  --nse-ex-light-orange: #fd7e1461;
  --nse-ex-light-red: #e41f284f;
  --nse-ex-light-yellow: #f1b51952;

  --bg-main-theme: #F3F6F8;
  --bg-secondary-theme: #f7fcff;
  --bs-white: #fff;
  --bs-black: #000;
  --bs-blue: #0d6efd;
  --bs-dark-blue: #5863a6;
  --bs-indigo: #6610f2;
  --bs-purple: #6f42c1;
  --bs-pink: #d63384;
  --bs-red: #dc3545;
  --bs-orange: #fd7e14;
  --bs-yellow: #ffc107;
  --bs-green: #198754;
  --bs-teal: #20c997;
  --bs-cyan: #0dcaf0;
  --bs-white: #fff;
  --bs-gray: #6c757d;
  --bs-gray-dark: #343a40;
  --bs-primary: #0080ff;
  --bs-secondary: #6c757d;
  --bs-success: #18d26b;
  --bs-info: #00b8d4;
  --bs-warning: #605696;
  --bs-danger: #ff3f3f;
  --bs-light: #f8f9fa;
  --bs-dark: #212529;
  --bs-light-green: #58baab;

  /* radio  */
  --card-line-height: 1.2em;
  --card-padding: 1em;
  --card-radius: 0.5em;
  --color-green: #558309;
  --color-gray: #e2ebf6;
  --color-dark-gray: #c4d1e1;
  --radio-border-width: 2px;
  --radio-size: 1.5em;

  /* card shadow */
  --shadow-color1: rgba(255, 255, 255, 0.1);
  --shadow-color2: rgba(50, 50, 93, 0.25);
  --shadow-color3: rgba(0, 0, 0, 0.3);

  --heading-fontsize: 1.8rem;
  --headingInfofontsize:1.4rem;
  --subheading-fontsize: 1.25rem;
  --paraFontSize:14px;

}


* {
  padding: 0%;
  margin: 0%;
  box-sizing: border-box;
 
}

.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin-bottom: 0%;
}

html,
body {
  margin: 0;
  padding: 0;
  width: 100%;
  position: relative;
  height: 100%;
}

body {
  display: flex;
  flex-direction: column !important;
  justify-content: center;
  align-items: center;
}
.img-logo {
  width: 95px;
  height: 40px;
}
.ab_text{
	font-size: var(--paraFontSize);
    color: #008000;
    font-family:system-ui,-apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}
.bc_text{
	font-size: var(--paraFontSize);
    color: red;
    font-family:system-ui,-apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}
.logo {
  font-weight: 600;
  font-size: 1.2rem;
}

/* ====================== scrollbar =========================== */
::-webkit-scrollbar {
  width: 1.5px;
}

::-webkit-scrollbar-track {
  background-color: var(--bs-secondary);
}

::-webkit-scrollbar-thumb {
  background-color: var(--nse-purple);
}

/* ------------------ button ------------------- */
.login_btn {
  background-color: var(--nse-orange);
  width: fit-content;
  margin: .5rem 0;
  margin-left: 1rem;
  font-size: 1.4rem;
  font-weight: 400;
}

.login_btn a {
  color: var(--white-color);
  text-decoration: none;
}

.btn-login-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

/* ------------------ star * ------------------- */
.star {
  color: var(--nse-red);
}

/* =================================== Linking Files css start=================================== */
/* -------------------- Header outer---------------------------- */
#headerOuter {
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  flex: 1;
  z-index: 999;
}

/* --------------------- Footer --------------------- */
#footer {
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 88px;
  padding: 1rem;
  left: 0;
  background: var(--bs-white);
  border-top: 1px solid #eee;
  box-shadow: rgba(0, 0, 0, 0.06) 0px 2px 4px 0px inset;
}

footer {
  width: 100%;
  text-align: center;
  background: var(--bs-white);
  font-size: 0.85rem;
  color: var(--bs-black);
  display: flex;
  justify-content: center;
  align-items: center;
}

footer p {
  margin-bottom: 0;
  font-weight: 400;
}

footer p a {
  color: var(--nse-purple);
}

/* =================================== Linking Files css end =================================== */

main {
  width: 100%;
  display: flex;
  flex-direction: column;
  margin-top: 4rem;
}

.login-profile-circle {
  position: absolute;
  top: -29px;
  left: 46%;
  display: flex;
  align-items: center;
  justify-items: center;
  align-content: center;
  flex-direction: column;
  width: 58px;
  min-height: 58px;
  /* height: 78%; */
  /* padding: 30px; */
  border-radius: 50%;
  background-color: var(--nse-orange);
  border-radius: 50%;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 30px 60px -12px inset, rgba(0, 0, 0, 0.3) 0px 18px 36px -18px inset;
}

.login-profile-circle span {
  padding: 14px;
}

.login-profile-circle i {
  font-size: 25px;
}

/* -----------------------------Universal classess -----------------------------*/
.login-container {
  display: flex;
  flex-direction: row;
  margin-top: 6rem;
}

.login-div {
  width: 30%;
}

/*------------------------ text --------------------------*/
h1{
   font-size: var(--heading-fontsize);
   text-align: center;
  font-weight: 600;
  color: var(--nse-purple);
}
.heading {
  font-size: var(--heading-fontsize);
  padding-block: 1.5rem;
  text-align: center;
  font-weight: 600;
  color: var(--nse-purple);
  width: 100%;
  justify-self: center;
}

.cardheading {
  font-size: var(--subheading-fontsize);
  color: var(--nse-purple);
}

.paraheading {
  font-size: var(--subheading-fontsize);
}

.paraheadingtwo {
  font-size: 1.6rem;
  color: var(--nse-orange);
}

.paratextone {
  font-size: var(--paraFontSize);
}

.paratexttwo {
  font-size: 0.95rem;
}

.cardtextone,
label {
  font-size: 1.1rem;
}

.cardtexttwo {
  font-size: 0.8rem;
  font-weight: 400;
}

h3 {
  margin-bottom: 15px;
  color: #392e7d;
}

.row {
  gap: 0px;
}

p {
  display: block;
  font-size: var(--paraFontSize);
  margin-bottom: 0.5rem;
}

footer hr {
  margin: 0.5rem 0 !important;
}

/* -----------------------------------Register---------------------------------------- */
.section-signIn,
.section-login {
  width: 100%;
  height: 70%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}


.form-div,
.form-div-login {
  width: 60%;
  height: 100%;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 1px 25px -20px,
    rgba(0, 0, 0, 0.3) 0px 30px 60px -30px,
    rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  color: white;
  border-radius: 10px;
}

.form-div-login {
  height: 360px;
  background: none;
}

.forgetPass {
  text-align: end;
  font-weight: 400;
  color: var(--bs-gray-dark);
  margin-bottom: 0px;
}

.photo-div {
  width: 50%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  color: white;
  text-shadow: 0 1px 4px rgba(0, 0, 0, 0.7);
}

.photo-div img {
  width: 100%;
  height: 100%;
  border-bottom-left-radius: 10px;
  border-top-left-radius: 10px;
}

.signupText {
  color: var(--nse-orange);
  font-weight: 400;
}

.instr-div {
  width: 50%;
  padding: 25px;
  height: 100%;
  border-radius: 15px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  /* background-color: #392e7d; */
  background-image: linear-gradient(to left top, #392e7dfc, #392e7cf0, #392e7dd1, #4f40acfa);
}

.instr {
  margin-bottom: 20px;
}

.instr-div ol li {
  font-size: 0.85rem;
  line-height: 25px;
}

.form-container,
.form-container-login {
  background: #fff;
  padding: 1rem;
  padding-top: 0;
  width: 60%;
  height: 67vh;
  overflow: auto;
}

.form-container-login {
  height: 360px;
  position: relative;
}

 .form-main-container-login{
   background: #fff;
  padding: 1rem;
  padding-top: 0;
  width: 45%;
 }

.form-container h2,
.form-container-login h2 , .form-main-container-login h2{
  margin-top: 10px;
  font-size: 1.4rem;
  color: #392e7d;
  font-weight: 600;
  margin-bottom: 15px;
}



.form-control {
  font-size: 0.8rem;
  color: #333;
}

label {
  display: block;
  margin: 5px 0 5px;
  font-size: 0.85rem;
  color: rgb(39, 39, 39);
}

.input-group {
  position: relative;
  margin-bottom: 15px;
}

.input-group input {
  padding: 12px 40px 12px 12px;
  border: 1px solid #ccc;
  border-radius: 6px;
  outline: none;
  font-size: 0.85rem;
}

.input-group input:focus {
  border-color: #392e7d;
}

.input-group .icon i {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  font-size: 1rem;
  color: gray;
  cursor: pointer;
}

.note {
  font-size: 13px;
  color: #555;
  margin-bottom: 5px;
}

.btn-group {
  display: flex;
  justify-content: right;
  margin-top: 10px;
  gap: 15px;
}

.submitbtn {
  color: white;
  text-decoration: none;
}

.submitbtn:hover {
  color: var(--nse-purple);
  text-decoration: none;
}

.needs-validation .btn-group {
  display: flex;
  justify-content: center;
}

.needs-validation .btn {
  border-radius: 6px;
  cursor: pointer;
}

.needs-validation .btn-cancel {
  padding: 10px 20px;
  background: white;
  border: 1px solid var(--nse-purple);
  color: var(--nse-purple);
  font-size: 14px;
}

.needs-validation .btn-next {
  padding: 10px 24px;
  /* background: var(--nse-purple); */
   background-image: linear-gradient(to left top, #392e7dfc, #392e7cf0, #392e7dd1, #4f40acfa);
  color: white;
  font-size: 14px;
}

/* Enable active state */
.needs-validation .btn-next.active {
  background: var(--nse-purple);
  cursor: pointer;
}

.needs-validation .btn-next:hover {
  color: var(--nse-purple);
  background: #f8f8fa;
  border: 1px solid var(--nse-purple);
}

.needs-validation .btn-prev:hover {
  background: var(--nse-purple);
  color: #fff;
}

.icon i {
  font-size: 1rem;
  color: black;
}

.btnOTP {
  padding: 5px 10px;
  font-size: 13px;
  margin-top: 2rem;
  width: 100%;
  color: white;
  background-color: var(--nse-purple);
}

.btnOTP:hover {
 color: var(--nse-purple);
  background: #f8f8fa;
  border: 1px solid var(--nse-purple);
} 

/* ======================= Feedback ================================ */
.valid-feedback {
  display: none;
  width: 100%;
  font-size: 0.7rem;
  color: var(--bs-form-valid-color);
}

.invalid-feedback {
  display: none;
  width: 100%;
  font-size: 0.7rem;
  color: var(--bs-form-invalid-color);
}

/* -------------------------form html----------------------------------- */
.section-form {
  display: flex;
  flex-direction: row;
}

/* -------------------------------side titles for tabs ---------------------------------- */
.sidebar {
  width: 250px;
  background: #fff;
  border-right: 1px solid #ddd;
  padding: 20px;
  margin-top: 20px;
  margin-left: 0;
  min-height: 84vh;
  border-radius: 10px;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 1px 25px -20px,
    rgba(0, 0, 0, 0.3) 0px 30px 60px -30px,
    rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
}

.steps {
  list-style: none;
  padding: 0;
  margin: 0;
}

.steps .button li {
  display: flex;
  align-items: start;
  justify-content: center;
  font-size: 10px;
  color: #555;
}

.tab .steps button li span {
  width: 25px;
  height: 25px;
  border: 2px solid #392e7d;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-right: 10px;
  font-size: 13px;
}

.tab .steps button li.active {
  font-weight: bold;
  color: #392e7d;
}

.tab .steps button li.center-link {
  display: flex;
}

.tab .steps button li.completed span {
  background: #392e7d;
  color: #fff;
  display: flex;
}

/* ------------------------Main Form Area --------------------------------*/
.form-main {
  flex: 1;
  padding: 30px 40px;
  border-radius: 10px;
  margin: 20px;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 1px 25px -20px,
    rgba(0, 0, 0, 0.3) 0px 30px 60px -30px,
    rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
}



.upload-box {
  border: 2px dashed #392e7d;
  border-radius: 8px;
  padding: 20px;
  text-align: center;
  margin-bottom: 0px;
  height: 14rem;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.upload-box1 {
  border: 2px dashed #392e7d;
  border-radius: 8px;
  padding: 20px;
  text-align: center;
  margin-bottom: 0px;
  height: 14rem;
  width: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.upload-box img {
  max-width: 150px;
  display: block;
  margin: auto;
}

.form-label {
  display: block;
  margin-bottom: 8px;
  font-size: 14px;
  font-weight: bold;
  font-weight: 400;
}



input,
select {
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 6px;
  font-size: 14px;
  margin-bottom: 8px;
}

.error-msg {
  font-size: 12px;
  color: red;
  margin-bottom: 10px;
}

.row .col {
  flex: 1;
}

.a-down {
  font-size: 0.7rem;
  margin-top: 0;
}

/* ========================== candidate login =============================== */
    .header-login{
           display: flex;
           flex-direction: row;
           justify-content: space-between;
           margin: 0;
            border-bottom: 1px solid rgb(239 239 239);
              padding: 0.75rem;
    }
      .main-login{
         display: flex;
         height: 90vh;
         margin: 0;
         padding: 0;
        }

        /* LEFT PANEL */
        .left-panel {
            width: 25%;
            background: var(--gradient);
            /* background-image: url("images/nse-india-building.jpg");
            background-size: cover;        
            background-position: center; 
            background-repeat: no-repeat;  */
            color: #fff;
            padding: 20px;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
        }
        .login-img-div{
          width: 280px;
          height:220px;
           margin-bottom: 20px;
        }
        .login-img-div img{
          width: 100%;
          height:100%;
          border-radius: 10px;
        }
        .instrlist li{
           margin-bottom: 0.6rem;
        }
        .instrlist a{
          color: white;
          text-decoration: none;
        }

        /* RIGHT PANEL */
        .right-panel {
            width: 75%;
            background: #ffffff;
            display: flex;
            align-items: center;
            justify-content: center;
            position: relative;
        }

       
        .signup-link {
            position: absolute;
            top: 20px;
            right: 30px;
        }

        .signup-link a {
            text-decoration: none;
            color: var(--nse-orange);
            font-weight: 500;
        }

         /* DIVIDER */
        .divider {
            text-align: center;
            color: #999;
            margin: 8px 0;
        }

        
        .social-login-buttons {
            display: flex;
            gap: 10px;
            margin-bottom: 15px;
        }

        .social-login-btn {
            flex: 1;
            border: 1px solid #ddd;
            padding: 10px;
            background: #fff;
            cursor: pointer;
            border-radius: 6px;
            font-size: 14px;
        }
       
        .recaptchaNote {
            color: #999;
            margin-top: 15px;
            text-align: center;
        }






/* ================================= Thank you page start ================================= */


.thankyouMainBox {
  margin: 0;
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #f2f2f2;
  font-family: Arial, sans-serif;
}

.thankMessage-box {
  background-color: #fff;
  padding: 50px;
  border-radius: 10px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
  text-align: center;
  max-width: 600px;
}

.thankHeading {
  margin-bottom: 15px;
  color: var(--nse-purple);
  font-size: 2rem;
  font-weight: 500;
}

.thankPara {
  margin-bottom: 25px;
  color: #555;
  font-weight: normal;
  font-size: 1.1rem;
}

.thankLink {
  text-decoration: none;
  background-color: var(--nse-orange);
  color: #fff;
  padding: 10px 20px;
  border-radius: 5px;
  transition: background-color 0.3s;
}

.thankLink:hover {
  background-color: var(--nse-light-orange);
}



/* ========================================= thankyou page end====================================== */




/* ======================================= media query start =========================================0= */
@media screen and (min-width:299px) and (max-width: 699px) {

  .section-login,
  .section-signIn {
    height: 100%;
  }

  .form-div-login,
  .form-div {
    width: 100%;
    height: 100%;
    align-items:center;
    box-shadow:none;
    flex-direction: column;
  }

  .form-div {
    flex-direction: column-reverse;
    height: 45rem;
    margin-top: 10rem;
    border-radius: 5px;
  }

  .needs-validation .btn {
    margin-top: 0;
    margin-bottom: 10px;
  }

  .form-container-login,
  .form-container,
  .instr-div {
    width: 100%;
    padding: 12px;
  }
  
   .photo-div{
   display:none;
   }

  .form-container {
    height: 540px;
    margin-bottom: 1rem;
  }
     .left-panel {
    display: none;
  }
  .right-panel {
    width: 100%;
  }
  .form-main-container-login{
    width: 100%;
  }

  #footer {
    height: 106px;
  }

  footer hr {
    display: none;
  }
}



/* RESPONSIVE */
@media screen and (min-width:699px) and (max-width: 999px)  {
  .left-panel {
   width:40%;
  }
  .right-panel {
    width: 60%;
  }
  .form-main-container-login{
    width: 100%;

  }
   .login-img-div{
          width: 240px;
          height:200px;
           margin-bottom: 20px;
   }
}

/* RESPONSIVE */
@media screen and (min-width:999px) and (max-width: 1200px)  {
    .left-panel {
    display: none;
  }
  .right-panel {
    width: 100%;
  }
    .form-container {
    height: 500px;
    overflow: auto;
  }
}

.password_field{
	position: relative;
	width: 100%;
}
.password_field .EyeIcon {
    position: absolute;
    right: 10px;
    top: 47%;
    transform: translateY(-50%);
    cursor: pointer;
    color:black;
}

/* modal css start here */

.modal-footer{
	border-top:0px !important;
} */
 
.modal-header{
	border-bottom:0px !important;
}
 
.btn-close{
	font-size: 12px;
}
.modal-footer{
	display:none !important;
}
.modal-body{
	text-align: center !important;
	height:100px !important;
	display: flex;
	justify-content:center;
	align-items:center;
	}
.modal-dialog {
    max-width: 400px !important;
}
.modal-title{
	font-size: 15px !important;
	
}
.bc_text {
    font-size: 15px;
    font-weight: 400;
}
.modal-header {
	/*border-bottom:none;*/
}
/* modal css start end */

